Issue 121656 - Gallery: Exchynge some png graphics with svg graphics
Gallery: Exchynge some png graphics with svg graphics
Status: RESOLVED FIXED
Product: Draw
Classification: Application
Component: installation
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-22 08:46 UTC by Armin Le Grand
Modified: 2013-07-12 16:34 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Armin Le Grand 2013-01-22 08:46:03 UTC
ALG. The chinese symphony colleagues have offered some of the gallery graphics in their original vector format. Unfortunately not all, but some. Adding these will have two effects:
(a) It will (hopefully) decrease the install set size
(b) the quality of graphics inserted from the gallery will be high and resolution independent
Comment 1 Armin Le Grand 2013-01-22 08:49:01 UTC
ALG: Got data for:
-arrows
-bullets
-diagrams
-symbols
-txtshapes
These are not complete and need corrections from time to time, all in all I have to check each single svg graphic. Also these contain 'display="none"' elements which should be filtered out. Some I need to edit using an adequate software; these files also need to be filtered to again remove unused stuff.
Looking forward...
Comment 2 Armin Le Grand 2013-01-22 08:56:01 UTC
ALG: Checked 321 SVGs (yesterday) and if they can replace the corresponding PNGs and WMFs/EMFs. Had to adapt quite some, most by removing the mentioned statement, but also some with graphic tools to adapt the correct SVG size information or to remove unnecessary graphic elements.
Comment 3 Armin Le Grand 2013-01-22 12:16:02 UTC
ALG: Dir main/extras/source/gallery is 22.364.817 bytes in trunk, in the changed version with SVGs it's 17.882.111 bytes, so it's about 4464706 bytes less, or 4,4 MB. Not bad, this is even better compressable since SVG contains text. Let's see what the install sets say...
Comment 4 Armin Le Grand 2013-01-22 13:23:52 UTC
ALG: Win install set was 144.503.390 bytes, is now 139.544.774 bytes. This means 4.958.616 bytes less. Yay, nealry 5 megabytes less for the download at *better* quality. Just multiply with our download numbers...
Checked build, preparing commit...
Comment 5 SVN Robot 2013-01-22 13:51:47 UTC
"alg" committed SVN revision 1436927 into trunk:
#121656# Replaced many gallery base graphics with SVG
Comment 6 Armin Le Grand 2013-01-22 13:54:56 UTC
ALG: Comitted, done. Looking at some findings in SVG reader...
Comment 7 Armin Le Grand 2013-01-23 10:05:45 UTC
ALG: Added support for the 'display' property (formally used in the originals, but all removed to make sources even smaller). Also corrected the applied transformation so that it's not applied to masks and clips. Preparing checkin...
Comment 8 SVN Robot 2013-01-23 10:27:24 UTC
"alg" committed SVN revision 1437324 into trunk:
#121656# Some more cleanups for SVG import, also const as const can
Comment 9 SVN Robot 2013-01-23 10:34:29 UTC
"alg" committed SVN revision 1437329 into trunk:
#121656# removed const for return-by-value
Comment 10 Armin Le Grand 2013-01-23 12:28:57 UTC
ALG: Okay, done.